Bug Hunting Session
Bug 107471 - add an option to configure crashreporter
Summary: add an option to configure crashreporter
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Gabor Kelemen
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks: Options-Dialog Privacy
  Show dependency treegraph
 
Reported: 2017-04-27 06:16 UTC by Oliver Brinzing
Modified: 2019-08-06 08:03 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Proposed positioning as per the patch (24.77 KB, image/png)
2019-08-05 13:39 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Brinzing 2017-04-27 06:16:00 UTC
the crash reporter source code in app.cxx is currently hard-coded to
http://crashreport.libreoffice.org/submit/.
there is no way to configure/disable the crashreporter.
one has to rebuild libreoffice without FEATURE_BREAKPAD.

in an enterprise environment it may be necessary to prevent users from sending data due to security restrictions.

an option in Tools/Options/LibreOffice/General would be helpful.
for example, there is already an option to disable CollectUsageInformation.

app.cxx:
#if HAVE_FEATURE_BREAKPAD
void handleCrashReport()
{
    static const char SERVICENAME_CRASHREPORT[] = "com.sun.star.comp.svx.CrashReportUI";

    css::uno::Reference< css::uno::XComponentContext > xContext = ::comphelper::getProcessComponentContext();

    Reference< css::frame::XSynchronousDispatch > xRecoveryUI(
        xContext->getServiceManager()->createInstanceWithContext(SERVICENAME_CRASHREPORT, xContext),
        css::uno::UNO_QUERY_THROW);

    Reference< css::util::XURLTransformer > xURLParser =
        css::util::URLTransformer::create(::comphelper::getProcessComponentContext());

    css::util::URL aURL;
    css::uno::Any aRet = xRecoveryUI->dispatchWithReturnValue(aURL, css::uno::Sequence< css::beans::PropertyValue >());
    bool bRet = false;
    aRet >>= bRet;
}
Comment 1 Adolfo Jayme 2017-04-27 16:49:44 UTC
Thank you for filing your enhancement request.
Comment 2 Gabor Kelemen 2019-08-02 08:38:11 UTC
Proposed patch: https://gerrit.libreoffice.org/#/c/76771/
Comment 3 Gabor Kelemen 2019-08-05 13:39:16 UTC
Created attachment 153141 [details]
Proposed positioning as per the patch
Comment 4 Commit Notification 2019-08-06 06:24:40 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/5841be069cf9891669b385f62f2e7f8d8e877981%5E%21

tdf#107471 Add checkbox to enable/disable sending crash reports to TDF

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.